//
// Documentatation of defines used in PDFsharp
//
#if NET_1_1
// Compile code for .Net 1.1
#elif NET_2_0
// Compile code for .Net 2.0
#else
#error Either NET_1_1 or NET_2_0 must be defined
#endif

#if MIGRADOC
// empira internal only: Some hacks that make PDFsharp behave like PDFlib when used with Asc.RenderContext.
// Applies to MigraDoc 1.2 only. The Open Source MigraDoc lite does not need this define
#endif

#if Gdip
// PDFsharp based on System.Drawing classes

#if GdipUseGdiObjects
// PDFsharp X graphics classes have implicit cast operators for GDI+ objects.
// Define this to make it easier to use older code with PDFsharp.
// Undefine this to prevent dependencies to GDI+
#endif
#elif WinFX
// PDFsharp based on Windows Presentation Foundation in a future release...
// (Current version will not compile with WinFX defined)
#else
#error Either GdipUseGdiObjects or WinFX must be defined
#endif
