using System;
using System.Diagnostics;
using System.IO;
using PdfSharp.Drawing;
using PdfSharp.Pdf;
using PdfSharp.Pdf.AcroForms;
using PdfSharp.Pdf.IO;

namespace FillFormFields
{
  // Note: AcroForms are still under construction in this version. Filling form fields is more obscure than
  // I expected. The implementation is partially undone.

  /// <summary>
  /// This sample shows how to fill an interactive form (AcroForm).
  /// </summary>
  class Program
  {
    [STAThread]
    static void Main(string[] args)
    {
      // Get a fresh copy of a sample PDF form file
      string filename;
      filename = "fw4.pdf";
      File.Copy(Path.Combine("../../SampleForms", filename), 
        Path.Combine(Directory.GetCurrentDirectory(), filename), true);

      // Open the file
      PdfDocument document = PdfReader.Open(filename, PdfDocumentOpenMode.Modify);

      // Get the root object of all interactive form fields
      PdfAcroForm form = document.AcroForm;

      // Get all form fields of the whole document
      PdfAcroField.PdfAcroFieldCollection fields = form.Fields;

      // Get all form fields of the whole document
      string[] names = fields.Names;
      names = fields.DescendantNames;

      // Fill some value in each field
      for (int idx = 0; idx < names.Length; idx++)
      {
        string fqName = names[idx];
        PdfAcroField field = fields[fqName];

        PdfTextField txtField;
        PdfRadioButtonField radField;
        PdfCheckBoxField chkField;
        PdfListBoxField lbxField;
        PdfComboBoxField cbxField;
        PdfGenericField genField;

        if ((txtField = field as PdfTextField) != null)
        {
          // 
          txtField.Text = "Hello";
        }
        else if ((radField = field as PdfRadioButtonField) != null)
        {
          radField.SelectedIndex = 0;
        }
        else if ((chkField = field as PdfCheckBoxField) != null)
        {
          chkField.Checked = idx % 2 == 0;
        }
        else if ((lbxField = field as PdfListBoxField) != null)
        {
          lbxField.SelectedIndex = 0;
        }
        else if ((cbxField = field as PdfComboBoxField) != null)
        {
          cbxField.SelectedIndex = 0;
        }
        else if ((genField = field as PdfGenericField) != null)
        {
        }
      }

      // Save the document...
      document.Save(filename);
      // ...and start a viewer.
      Process.Start(filename);
    }
  }
}
