using System;
using System.Diagnostics;
using System.IO;
using System.Drawing;
using PdfSharp.Drawing;
using PdfSharp.Pdf;
using PdfSharp.Pdf.IO;

namespace Graphics
{
  /// <summary>
  /// This sample shows some of the capabilities of the XGraphcis class.
  /// </summary>
  class Program
  {
    [STAThread]
    static void Main(string[] args)
    {
      string filename = "Graphics.pdf";
      //filename = Guid.NewGuid().ToString("D").ToUpper() + ".pdf";
      document = new PdfDocument();
      document.Info.Title = "PDFsharp XGraphic Sample";
      document.Info.Author = "Stefan Lange";
      document.Info.Subject = "Created with code snippets that show the use of graphical functions";
      document.Info.Keywords = "PDFsharp, XGraphics";

      new LinesAndCurves().DrawPage(document.AddPage());
      new Shapes().DrawPage(document.AddPage());
      new Paths().DrawPage(document.AddPage());
      new Text().DrawPage(document.AddPage());
      new Images().DrawPage(document.AddPage());

      // Save the document...
      document.Save(filename);
      // ...and start a viewer
      Process.Start(filename);
    }

    internal static PdfDocument document;
  }
}
